## Module Config

Module Config

## Synopsis

    #include <libtracker-common/tracker-module-config.h>

    gboolean            tracker_module_config_init          (void);
    void                tracker_module_config_shutdown      (void);
    const gchar *       tracker_module_config_get_description
                                                            (const gchar *name);
    gboolean            tracker_module_config_get_enabled   (const gchar *name);
    GList *             tracker_module_config_get_ignored_directories
                                                            (const gchar *name);
    GList *             tracker_module_config_get_ignored_directory_patterns
                                                            (const gchar *name);
    GList *             tracker_module_config_get_ignored_file_patterns
                                                            (const gchar *name);
    GList *             tracker_module_config_get_ignored_files
                                                            (const gchar *name);
    GList *             tracker_module_config_get_index_file_patterns
                                                            (const gchar *name);
    GList *             tracker_module_config_get_index_files
                                                            (const gchar *name);
    GList *             tracker_module_config_get_index_mime_types
                                                            (const gchar *name);
    const gchar *       tracker_module_config_get_index_service
                                                            (const gchar *name);
    GList *             tracker_module_config_get_modules   (void);
    GList *             tracker_module_config_get_monitor_directories
                                                            (const gchar *name);
    GList *             tracker_module_config_get_monitor_recurse_directories
                                                            (const gchar *name);

## Description

## Details

### tracker_module_config_init ()

    gboolean            tracker_module_config_init          (void);

Returns : |

### tracker_module_config_shutdown ()

    void                tracker_module_config_shutdown      (void);

### tracker_module_config_get_description ()

    const gchar *       tracker_module_config_get_description
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_enabled ()

    gboolean            tracker_module_config_get_enabled   (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_ignored_directories ()

    GList *             tracker_module_config_get_ignored_directories
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_ignored_directory_patterns ()

    GList *             tracker_module_config_get_ignored_directory_patterns
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_ignored_file_patterns ()

    GList *             tracker_module_config_get_ignored_file_patterns
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_ignored_files ()

    GList *             tracker_module_config_get_ignored_files
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_index_file_patterns ()

    GList *             tracker_module_config_get_index_file_patterns
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_index_files ()

    GList *             tracker_module_config_get_index_files
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_index_mime_types ()

    GList *             tracker_module_config_get_index_mime_types
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_index_service ()

    const gchar *       tracker_module_config_get_index_service
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_modules ()

    GList *             tracker_module_config_get_modules   (void);

Returns : |

### tracker_module_config_get_monitor_directories ()

    GList *             tracker_module_config_get_monitor_directories
                                                            (const gchar *name);

`name` : |
Returns : |

### tracker_module_config_get_monitor_recurse_directories ()

    GList *             tracker_module_config_get_monitor_recurse_directories
                                                            (const gchar *name);

`name` : |
Returns : |